/*  main.h : June 5, 1996  */

/* Copyright (C) 1996-1999  Sekhar Bala,
 *                          Ramchander Balasubramanian, and
 *                          Alphax Systems, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __MAIN_H
#define __MAIN_H


/*--------------------------------------------------------------------------*/

#define MAX_PROMPTBUF   16

#define MAIN_HDR      "\n              "\
                      "PnPKIT V2.10 - Copyright (c) 1996-1999, Sekhar Bala,"\
                      "\n              "\
                      "               Ramchander Balasubramanian,"\
                      "\n              "\
                      "               and Alphax Systems, Inc."\
                      "\n              "\
                      "----------------------------------------------------"\
                      "\n\n"
#define MAIN_PROMPT   "PnP> "

/*--------------------------------------------------------------------------*/

EXTERN BOOLEAN          done;

/*--------------------------------------------------------------------------*/

EXTERN INT_2            Uport;

/*--------------------------------------------------------------------------*/


/* user0.cc */
EXTERN BOOLEAN    init_APP       ( VOID );
EXTERN VOID       clean_APP      ( VOID );

/* user1.cc */
EXTERN BOOLEAN    exec_isolate   ( VOID );
EXTERN BOOLEAN    exec_detect    ( VOID );
EXTERN BOOLEAN    exec_status    ( VOID );
EXTERN BOOLEAN    exec_dump      ( VOID );
EXTERN BOOLEAN    exec_device    ( VOID );

/* user2.cc */
EXTERN BOOLEAN    valid_DEVICE   ( VOID );
EXTERN VOID       beg_DEVICE     ( VOID );
EXTERN VOID       end_DEVICE     ( VOID );
EXTERN VOID       mem_USR        ( VOID );
EXTERN VOID       mem32_USR      ( VOID );
EXTERN VOID       ioport_USR     ( VOID );
EXTERN VOID       irq_USR        ( VOID );
EXTERN VOID       dma_USR        ( VOID );
EXTERN VOID       device_USR     ( BOOLEAN on );
EXTERN BOOLEAN    test_USR       ( VOID );


/*--------------------------------------------------------------------------*/
#endif

